> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rotate Credentials

API Access users may rotate API Access credentials from an external API. This request requires a `client_id` and `client_secret` in the header. Only admins can view, generate, and rotate credentials. To manage credentials in the Data Provider Portal, go to Configuration > Consent Dashboard Management and select **Generate API credentials**.

## Path Parameters

<ParamField path="version" required type="string">
  API version. Indicates which FDX version is in use. Default value = `v4`.
</ParamField>

## Body Parameters

<ParamField body="name" required type="string">
  For Consent Management, `name` must be `consent_management`.
</ParamField>

<RequestExample>
  ```shell cURL theme={null}
  curl -L -g -X POST 'http://{{baseurl}}/api/{{version}}/api_access_credentials' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:client_secret}' \
  --data-raw '{"name":"consent_management"}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "client_id": "asdf",
    "client_secret": "asdf2",
    "name": "consent_management",
    "created_at": "2024-06-14T19:48:18.354Z"
  }
  ```
</ResponseExample>
